package com.steerinfo.util;

import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * 公共方法类
 */
public class PublicMethod {
    /**
     * 随机数生成
     *
     * @author yxp
     * */
    public static String RandomCreate(int i) {
        String str = "";
        for (int k = 0; k < i; k++) {
            str += (int) (Math.random() * 10);// [1-10)随机数 即0-9
        }
        return str;
    }

    /**
     * 时间yyyyMMddHHmmssSSS加随机数的主键
     * @param i
     * @return
     */
    public static String IdCreate(int i) {
        String str = "";
        str = new SimpleDateFormat("yyyyMMddHHmmssSSS").format(new Date()) + PublicMethod.RandomCreate(i);
        return str;
    }

    /**
     * 日期转换为string类型，yyyy-MM-dd
     * @param date
     * @return
     */
    public static String dateToStringDDG(Date date) {
        String str = "";
        str = new SimpleDateFormat("yyyy-MM-dd").format(new Date());
        return str;
    }

    /**
     * 日期转换为string类型，yyyyMMdd
     * @param date
     * @return
     */
    public static String dateToStringDD(Date date) {
        String str = "";
        str = new SimpleDateFormat("yyyyMMdd").format(new Date());
        return str;
    }

    /**
     * 日期转换为string类型，yyyy-MM-dd HH:mm:ss
     * @param date
     * @return
     */
    public static String dateToStringYYYMMDDSS(Date date) {
        String str = "";
        str = new SimpleDateFormat("yyyyMMddHHmmss").format(new Date());
        return str;
    }

    /**
     * 日期转换为string类型，yyyy-MM-dd HH:mm:ss
     * @param date
     * @return
     */
    public static String dateToStringSS(Date date) {
        String str = "";
        str = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(date);
        return str;
    }
    /**
     * 日期转换为string类型，HH:mm:ss
     * @param date
     * @return
     */
    public static String dateToStringHHMMSS(Date date) {
        String str = "";
        str = new SimpleDateFormat("HH:mm:ss").format(new Date());
        return str;
    }

}
